#!/bin/sh

. livecd-functions

internet='no'
host='http://ftp.altlinux.org'


# regexps from alterator-pkg
prefix_re="[[:space:]]*rpm[[:space:]]\+\([^[:space:]]\+[[:space:]]\+\)\?"
updates_re="${prefix_re}http:\/\/\([^[:space:]]\+\)[[:space:]]*"
repo_source='/etc/apt/sources.list.d/alt.list'

repo_on()
{
	for arch in "$(rpm --eval '%_host_cpu')" noarch x86_32
	do
		exec_chroot sed "s/^#\(${updates_re}${arch}\)/\1/" -i $repo_source
		exec_chroot grep "^${updates_re}${arch}" $repo_source
	done
}

repo_off()
{
	for arch in "$(rpm --eval '%_host_cpu')" noarch x86_32
	do
		exec_chroot sed "s/^\(${updates_re}${arch}\)/#\1/" -i $repo_source
	done
}

# Detect working Internet connection
curl --connect-timeout 10 "$host" >/dev/null 2>&1 && internet='yes'

# Make online repositories available
if test "$internet" = "yes" -a -f "$repo_source"
then
	echo "Enable online repositories"
	repo_on
fi
